from django.shortcuts import render, get_object_or_404
from django.views import View
from django import template
from .models import Site, Url, Variable, Post
from django.http import HttpResponse

context = template.Context({})
class MainView(View):
  def get(self,request):
    return PageView.get(self,request,'root')

class PageView(View):
  def get(self,request,page):
    s = get_object_or_404(Site,domain=request.META["HTTP_HOST"])
    r = Url.objects.filter(path=page,site=s)
    post = None
    if "post" in request.GET:
      post = Post.objects.filter(url=request.GET["post"])
      if post: post = post.first()
    r = get_object_or_404(Url,path=page,site=s)
    t = template.Template(r.page.content)
    content = t.render(context)
    context.update({
      "content": content,
      "title": r.page.title,
      "url": page,
      "posts": Post.objects.all(),
      "post": post
    })
    t = template.Template(s.base_page.content)
    return HttpResponse(t.render(context))